Bug 1113301 - Review Request: nova-image-builder - Utility for building OpenStack Glance images inside OpenStack Nova instances
Review Request: nova-image-builder - Utility for building OpenStack Glance im...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2014-06-25 18:02 EDT by Dennis Kliban
Modified: 2015-09-09 14:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 14:02:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Kliban 2014-06-25 18:02:09 EDT
Spec URL: http://fedorapeople.org/~dkliban/nova-image-builder.spec
SRPM URL: http://fedorapeople.org/~dkliban/nova-image-builder-0.0.1-0.20140625214601git05bb757.fc19.src.rpm
Description: nova-image-builder allows you to create OpenStack images from scratch by running native OS installers inside of Nova and saving the results
Fedora Account System Username: dkliban
Comment 2 Ian McLeod 2014-07-24 13:14:29 EDT
This is my review based on the package guidelines and Dennis' SPEC file update:

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]

[imcleod@localhost SPECS]$ rpmlint nova-image-builder.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[imcleod@localhost SPECS]$ 

MUST: The package must be named according to the Package Naming Guidelines .  CONFIRMED
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . CONFIRMED
MUST: The package must meet the Packaging Guidelines . CONFIRMED
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines . CONFIRMED - ASL 2.0
MUST: The License field in the package spec file must match the actual license. [3] - CONFIRMED - ASL 2.0
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4] - CONFIRMED
MUST: The spec file must be written in American English. [5] CONFIRMED
MUST: The spec file for the package MUST be legible. [6] CONFIRMED
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this. - CONFIRMED
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7] CONFIRMED
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8] N/A - noarch package with all noarch dep chain
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. CONFIRMED
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9] N/A
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10] N/A
MUST: Packages must NOT bundle copies of system libraries.[11] CONFIRMED
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12] N/A
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13] CONFIRMED
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14] CONFIRMED
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15] CONFIRMED
MUST: Each package must consistently use macros. [16] CONFIRMED
MUST: The package must contain code, or permissable content. [17] CONFIRMED
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18] N/A - no significant doc content
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18] CONFIRMED
MUST: Static libraries must be in a -static package. [19] N/A
MUST: Development files must be in a -devel package. [20] N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21] N/A
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19] N/A
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22] N/A
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23] CONFIRMED
MUST: All filenames in rpm packages must be valid UTF-8. [24] CONFIRMED
Comment 3 Haïkel Guémar 2014-09-19 15:49:22 EDT
Any update ? I could sponsor Dennis
Comment 4 Miroslav Suchý 2014-12-27 09:01:55 EST
Taking.

It would be nice if you can talk to upstream and migrate this tool to use python3 on Fedora22 (and replace shebang by sed in nova-install during %build phase if 0%{fedora} >= 22 ).

You should provide man page:
 http://fedoraproject.org/wiki/Packaging:Guidelines#Man_pages

You should use:
  CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py install -O1 --root=%{buildroot} --skip-build
instead of direct use -O1.

You should mark license as:
  %license COPYING

Description must end by dot.

It would be nice, if you can add tests as SOURCE1 and run them in %check phase.

This 
 Requires(post): chkconfig
 Requires(preun): chkconfig
is IMO not needed and I fail to find any reference to chkconfig in code.

You are missing BR of -devel package:
  http://fedoraproject.org/wiki/Packaging:Python#BuildRequires
Comment 5 Miroslav Suchý 2015-06-18 02:36:28 EDT
Ping. Any progress?
Comment 6 Dennis Kliban 2015-06-18 07:49:34 EDT
No progress has been made. I just now see the recommendations you made 6 months ago. I no longer actively work on this project, but this provides the motivation to pick up the work again. I will email you when I make the changes.
Comment 7 Miroslav Suchý 2015-08-13 04:53:56 EDT
Still no progress? Can you give it to somebody else from OpenStack team. Or shall I close it as abandoned review?
Comment 8 Miroslav Suchý 2015-09-09 14:02:05 EDT
Still no progress. Closing for now. If you ever want to continue, feel free to reopen this bug or file new one.

Note You need to log in before you can comment on or make changes to this bug.